Getting your addons 2.1 compatible

Mike Schramm
M. Schramm|05.08.07

Sponsored Links

Getting your addons 2.1 compatible
In expectation of the coming patch (though it might still be a while), Curse has posted a compiled list of all their known 2.1 compatible addons. Unfortunately, that list is of Curse-only addons, so while both KLHThreatmeter and Healbot are on there, lots of other high profile addons are not.

That doesn't mean they won't be 2.1 compatible, however-- it just means that, well, in most cases we don't know. Titanbar (an addon I live by) was updated after the last big patch, but hasn't yet been updated for the new one. It's the same story with Auctioneer. CTMod hasn't mentioned 2.1 yet, but they update pretty quickly, and even if they don't get a new version out before the patch appears, it's very likely the latest version (v2.001) will still work.

Since I'm not an addon creator, I'm not sure how much functionality is changing in 2.1, but from what I can make of the UI Forum, it won't be nearly as much as the expansion patch did. There may be a few problems (ui.worldofwar.net has a short list of known problematic addons on the PTR), but for the most part, we can probably expect 2.1's addon changes to go pretty smoothly. You'll still have to manually enable your addons (since they'll all be out of date), but chances are none of them will be really broken.
All products recommended by Engadget are selected by our editorial team, independent of our parent company. Some of our stories include affiliate links. If you buy something through one of these links, we may earn an affiliate commission.
Popular on Engadget